PSKB_COPY(9)

NAME
pskb_copy - create copy of an sk_buff with private head.

SYNOPSIS

struct sk_buff * pskb_copy (struct sk_buff * skb, gfp_t gfp_mask);

ARGUMENTS

skb buffer to copy

gfp_mask
    allocation priority

DESCRIPTION

Make a copy of both an &sk_buff and part of its data, located in header. Fragmented data remain shared. This is used when the caller wishes to modify only header of &sk_buff and needs private copy of the header to alter. Returns NULL on failure or the pointer to the buffer on success. The returned buffer has a reference count of 1.